#!/bin/bash

# Functions 
add_iptables_config() {
       saveextention=.$DATE
#       echo "Modifying $iptables_config_file to add support for $iptables_modules" >&2
#	echo "Saving current file to $iptables_config_file$saveextention" >&2
       # The default case for SLF 4
       sed -i$saveextention -e "s/IPTABLES_MODULES=\"\"/IPTABLES_MODULES=\"$iptables_modules\"/" $iptables_config_file
       # The default case for SLF 5
       sed -i$saveextention -e "s/IPTABLES_MODULES=\"ip_conntrack_netbios_ns\"/IPTABLES_MODULES=\"ip_conntrack_netbios_ns $iptables_modules\"/" $iptables_config_file
}


DATE=`date "+%m%d%y"`
iptables_config_file=/etc/sysconfig/iptables-config

#   inbound ftp needs the module ip_conntrack_ftp added to /etc/sysconfig-config
iptables_modules=ip_conntrack_ftp
add_iptables_config

