%define scriptname add-ip-contrack-ftp.sh
Summary: This will turn on iptables and configure to fnal.gov only
Name: zz_enable_firewall_fnal
Version: 2.0
Release: 0
License: GPL
Group: Fermi
URL: http://fermilinux.fnal.gov/
Vendor: Fermilab
Packager: Connie Sieh
BuildArch: noarch
Source1: iptables-fnal
Source2: add_ip_contrack_ftp.sh
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: iptables

%description
This will turn on iptables and configure to allow NEW inbound tcp/udp traffic to fnal.gov only.  To customize modify /etc/sysconfig/iptables .  This rpm will NOT remove/modify a existing iptables config on install, in that case it will create a new file called /etc/sysconfig/iptables.rpmnew .  If you want the iptables config file provided in this rpm to be installed either remove /etc/sysconfig/iptables before installing this rpm or move /etc/sysconfig/iptables.rpmnew to /etc/sysconfig/iptables.  

For the special case of ftp the /etc/sysconfig/iptables-config file requires that "ip_conntrack_ftp" module be defined in the "IPTABLES_MODULES" definition.  This option allows for the use of "active" ftp without the need for other tcp ports to be defined.  The pre existing /etc/sysconfig/iptables-config is saved off as /etc/sysconfig/iptables-config.<date>.

%install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/iptables
chmod 600 $RPM_BUILD_ROOT/etc/sysconfig/iptables
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}
cp -f %{SOURCE2} $RPM_BUILD_ROOT/usr/share/%{name}/%{scriptname}
chmod 700 $RPM_BUILD_ROOT/usr/share/%{name}/%{scriptname}

%files
%config(noreplace) /etc/sysconfig/iptables
/usr/share/%{name}/%{scriptname}

%post
sh /usr/share/%{name}/%{scriptname}
/sbin/chkconfig --levels 345 iptables on
#echo "Restarting iptables"
/etc/init.d/iptables restart > /dev/null 2>&1
exit 0

%changelog
* Mon Apr 9 2012 Connie Sieh <csieh@fnal.gov>  2.0.0
- turn on iptables and configure to fnal.gov only except for approved ports

* Thu Mar 17 2011 Connie Sieh <csieh@fnal.gov>  1.0.2
- turn on iptables and configure to fnal.gov only except for more ports 

* Thu Mar 3 2011 Connie Sieh <csieh@fnal.gov>  1.0.1
- turn on iptables and configure to fnal.gov only except for approved ports

